<template>
  <footer id="footer">
    <div class="footer-wrapper">
      <div class="image-wrapper">
        <span class="copy-right">{{ $t('footer.copy_right') }} {{ $t('footer.contact') }}</span>
        <span class="contact"><a href="mailto:contact@heta.org">contact@heta.org</a></span>
        <div class="social">
          <a href="https://www.facebook.com/hetachainofficial" target='_blank'>
            <div class="logo iconmo-facebook">
              <span class="path1"></span><span class="path2"></span>
            </div>
          </a>
          <a href="https://twitter.com/heta_org" target='_blank'>
            <div class="logo iconmo-twitter">
              <span class="path1"></span><span class="path2"></span>
            </div>
          </a>

          <a href="https://t.me/Hetachain_Community" target='_blank'>
            <div class="logo iconmo-telegram">
              <span class="path1"></span><span class="path2"></span>
            </div>
          </a>

          <a href="https://www.youtube.com/channel/UCP2EHgCDI6guWPldtosMyfw" target='_blank'>
            <div class="logo iconmo-youtube">
              <span class="path1"></span><span class="path2"></span>
            </div>
          </a>
        </div>
      </div>
    </div>
  </footer>
</template>
<script>
export default {
  props: {
    footer: {
      type: String,
    }
  }
}
</script>
<style scoped lang="scss">
#footer {
  width: 100%;
  height: 70px;
  background: #181a3a;
  border-top: 1px solid #2f2f54;
  .footer-wrapper {
    margin: auto;
    height: 100%;
    width: 90%;
    max-width: 1130px;
    display: table;
    .image-wrapper {
      vertical-align: middle;
      display: table-cell;
    }
    img {
      width: 30px;
      height: 30px;
    }
    span {
      &.contact,
      &.copy-right {
        font-size: 14px;
        font-weight: normal;
        font-style: normal;
        font-stretch: normal;
        line-height: 35px;
        letter-spacing: normal;
        color: #989898;
        vertical-align: middle;
      }
      &.contact {
        font-weight: bold;
        color: #ffffff;
      }
    }
    .social {
      display: inline-block;
      float: right;
      a {
        display: inline-block;
        &:focus,
        &:hover {
          text-decoration: none;
        }
        .logo {
          margin-left: 12px;
          font-size: 30px;
        }
      }
    }
  }
}
</style>
